Voir les messages sans réponses | Voir les sujets actifs Nous sommes le 22 Sep 2019, 11:48



Répondre au sujet  [ 11 messages ] 
Prob avec installation du greffon polymesh[RESOLU] 
Auteur Message
Bavardeur
Bavardeur
Avatar de l’utilisateur

Inscription: 19 Mai 2004, 19:05
Messages: 97
Localisation: Crest (Drôme)
Répondre en citant le message
Message Prob avec installation du greffon polymesh[RESOLU]
Bonjours à tous

je suis les indications fournies dans le tuto, mais polymesh
ne s'installe pas!!
AOI 2.4 Linux Ubuntu

Pour l'installation du greffon polymesh, voir ce document :
http://www.linuxgraphic.org/pdf/aoi-lg-03.pdf


Merci

@+?

_________________
Y s'crois où les gens?
Image
Image


Dernière édition par eridan le 20 Jan 2007, 23:31, édité 1 fois.



18 Jan 2007, 19:16
Profil
Bavardeur
Bavardeur
Avatar de l’utilisateur

Inscription: 19 Mai 2004, 19:05
Messages: 97
Localisation: Crest (Drôme)
Répondre en citant le message
Message 
Y'a queq'un??? :(

Up

@+?

Note de Rore : Un "up" à peine une heure plus tard, c'est peut-être un peu excessif non ?
Il n'y a pas nécéssairement beaucoup d'AOIstes, quant aux AOIstes près à répondre aux questions dès l'aube, il doit y en avoir encore moins.

_________________
Y s'crois où les gens?
Image
Image


18 Jan 2007, 20:34
Profil
Bavardeur
Bavardeur
Avatar de l’utilisateur

Inscription: 19 Mai 2004, 19:05
Messages: 97
Localisation: Crest (Drôme)
Répondre en citant le message
Message 
bon j'ai trouvé!

Mais après installation du greffon au lancement de AOI j'ai le splashscreen et puis plus rien

Voici le msg de la consolé!!

Citation:
michel@ImAges-ImprObables:~$ mc
michel@ImAges-ImprObables:~/ArtOfIllusion$ ./aoi.sh
/usr/bin/java -Xmx941m -cp ./ArtOfIllusion.jar:./jogl.jar: artofillusion.ModellingApp
USE: helpgui-1.1a.jar
USE: jhall.jar
USE: jhelpaction.jar
USE: pircbot.jar
USE: AOIHelp.zip
adding category: net.sourceforge.helpgui.parser.DocSet$Parser
When loading plugin: file:/home/michel/ArtOfIllusion/Plugins/HelpPlugin.jar
java.lang.InstantiationException

PluginRegistry: net.sourceforge.helpgui.parser.DocSet$Parser
plugin classpath:
file:/home/michel/ArtOfIllusion/Plugins/HelpPlugin.jar
file:/home/michel/ArtOfIllusion/Plugins/PluginRegistry.jar
file:/home/michel/ArtOfIllusion/Plugins/Help/helpgui-1.1a.jar
file:/home/michel/ArtOfIllusion/Plugins/Help/jhall.jar
file:/home/michel/ArtOfIllusion/Plugins/Help/jhelpaction.jar
file:/home/michel/ArtOfIllusion/Plugins/Help/pircbot.jar
file:/home/michel/ArtOfIllusion/Plugins/Help/AOIHelp.zip

plugins:
net.sourceforge.helpgui.parser.JavaHelpParser

Plugin Registry started
SPManager: java temp dir is /tmp
SPManager: temp dir set to: /tmp/SPManager
HelpPlugin.LINK: AOIHelp.zip
PluginRegistry: resource={}
registering Docking.Piste
component= buoyx.docking.DockableWidget$DockableWidgetPanel
Mapped ID=Docking.Piste
registering Docking.Objets
component= buoyx.docking.DockableWidget$DockableWidgetPanel
Mapped ID=Docking.Objets
registering Docking.Propriétés
component= buoyx.docking.DockableWidget$DockableWidgetPanel
Mapped ID=Docking.Propriétés
registering LayoutWindow
component= buoy.widget.BFrame$BFrameComponent
Mapped ID=LayoutWindow
java.lang.UnsupportedClassVersionError: artofillusion/polymesh/PolyMesh (Unsupported major.minor version 49.0)
at java.lang.ClassLoader.defineClass0(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:123)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:251)
at java.net.URLClassLoader.access$100(URLClassLoader.java:55)
at java.net.URLClassLoader$1.run(URLClassLoader.java:194)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:187)
at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
at artofillusion.polymesh.PolyMeshPlugin.processMessage(PolyMeshPlugin.java:80)
at artofillusion.ModellingApp$1.run(ModellingApp.java:420)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:178)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:454)
at java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:201)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:151)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:145) at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:137) at java.awt.EventDispatchThread.run(EventDispatchThread.java:100)


Qué se passa?

@+?

_________________
Y s'crois où les gens?
Image
Image


19 Jan 2007, 13:02
Profil
P'tit timide
P'tit timide
Avatar de l’utilisateur

Inscription: 26 Nov 2005, 15:42
Messages: 19
Localisation: france
Répondre en citant le message
Message 
8)

Bonsoir ,

Première remarque
, il est difficile effectivement de voir les messages dès l'aube et nous sommes peu nombreux encore...

Deuxième remarque
Les greffons ne sont pas encore updatés je crois pour la dernière version, puisque Francois a travaillé d'arrache-pied pour sortir celle-ci, (il aurait du mal d'avoir aussi du temps pour faire l'upgrade d'un de ses greffons...

ceci étant dit je suis moi sur UBUNTU j'ai placé les greffons dans le répertoire /usr/local/plugins/ ,,.on y trouve les fichiers .jar correspondants

et cela fonctionne parfaitement

donc, le problème est peut-être de réinstaller si cela n'est pas trop lourd pour voir si cela refait la même chose,
un autre composant est peut-être en cause qui sait ?
:shock:


19 Jan 2007, 19:42
Profil Site Internet
Bavardeur
Bavardeur
Avatar de l’utilisateur

Inscription: 19 Mai 2004, 19:05
Messages: 97
Localisation: Crest (Drôme)
Répondre en citant le message
Message 
Merci de ta réponse!

Malgré un réinstall AOI ne veut plus ce lancer :?

@+?

_________________
Y s'crois où les gens?
Image
Image


19 Jan 2007, 20:14
Profil
Gouailleur
Gouailleur

Inscription: 17 Oct 2005, 13:54
Messages: 61
Localisation: Tours
Répondre en citant le message
Message 
Non, frayssepat, le polymesh est bien à jour pour 2.4.

Par contre il demande maintenant une version 1.5 de Java et je pense que tu utilises une 1.4.x. Unsupported major.minor version 49.0, ça, ça vient de la version de la JVM. Peux-tu me donner le résultat de java -version, et le cas échéant updater en 1.6, tant qu'on y est.

_________________
François


20 Jan 2007, 00:33
Profil Site Internet
Bavardeur
Bavardeur
Avatar de l’utilisateur

Inscription: 19 Mai 2004, 19:05
Messages: 97
Localisation: Crest (Drôme)
Répondre en citant le message
Message 
Citation:
michel@ImAges-ImprObables:~$ java -version
java version "1.4.2-02"
Java(TM) 2 Runtime Environment, Standard Edition (build Blackdown-1.4.2-02)
Java HotSpot(TM) Client VM (build Blackdown-1.4.2-02, mixed mode)
michel@ImAges-ImprObables:~$




Et comment j'installe java 1.5? elle n'est pas dans les dépot Ubuntu!!

Merci

@+?[/quote]

_________________
Y s'crois où les gens?
Image
Image


20 Jan 2007, 00:36
Profil
Gouailleur
Gouailleur

Inscription: 17 Oct 2005, 13:54
Messages: 61
Localisation: Tours
Répondre en citant le message
Message 
1) L'environnement Java Sun est (pour peu de temps encore) propriétaire. Les machines java disponibles dépendent donc de la nature des dépôts que tu as autorisés, et aussi peut-être de la version de ta distribution.

2) Personnellement, je conseille d'installer l'environnement Java en local dans son home ou éventuellement en global en /opt si besoin est. Cela permet de contrôler parfaitement la machine java qu'on utilise et, le cas échéant, d'en utiliser plusieurs. Pour cela, va sur :
http://java.sun.com/javase/downloads/index.jsp

et télécharge le JDK6, en archive auto extractible (.bin). Execute le fichier binaire depuis ton home dir et extrait le contenu. En supposant que le répertoire d'extraction soit jre6 (par exemple), il te suffit de lancer :
/home/michel/jre6/bin/java -Xmx412m -cp ArtOfIllusion.jar:jogl.jar artofillusion.ModellingApp depuis le répertoire d'ArtOfIllusion.
Le script aoi.sh te permet la même chose en plus simple :
aoi.sh -java=/home/michel/jre6/bin/java

_________________
François


20 Jan 2007, 13:24
Profil Site Internet
Bavardeur
Bavardeur
Avatar de l’utilisateur

Inscription: 19 Mai 2004, 19:05
Messages: 97
Localisation: Crest (Drôme)
Répondre en citant le message
Message 
Merci, là ça marche!

Mais comment lancer AOI plus simplement que ces lignes de commandes!!

@+?

_________________
Y s'crois où les gens?
Image
Image


20 Jan 2007, 20:55
Profil
Gouailleur
Gouailleur

Inscription: 17 Oct 2005, 13:54
Messages: 61
Localisation: Tours
Répondre en citant le message
Message 
Si ce n'est pas déjà fait, utiliser l'installeur Linux pour installer AoI.

Editer le fichier aoi.sh dans le répertoire d'installation et à la ligne 45, juste avant la ligne #java command option, entrer le texte suivant :
JAVACMD=/home/michel/jre6/bin/java
(enfin le chemin réel vers java quoi).

Tu pourras lancer AoI depuis le menu Images.

Alternativement, tu peux créer un lanceur dans la bureau ou un tableau de bord, et spécificer la commande :
aoi.sh -java=/home/michel/jre6/bin/java

Pour lancer la commande avec les bons paramètres. Mais tu perdras le bénéfice du double-clic sur un fichier...

_________________
François


20 Jan 2007, 22:26
Profil Site Internet
Bavardeur
Bavardeur
Avatar de l’utilisateur

Inscription: 19 Mai 2004, 19:05
Messages: 97
Localisation: Crest (Drôme)
Répondre en citant le message
Message 
Merci fgui!

Faudrait vraiment que je me plonge un peu plus dans la maitrise du sytem!!

Merci encore

@+?

_________________
Y s'crois où les gens?
Image
Image


20 Jan 2007, 23:30
Profil
Afficher les messages postés depuis:  Trier par  
Répondre au sujet   [ 11 messages ] 

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 1 invité


Vous ne pouvez pas poster de nouveaux sujets
Vous ne pouvez pas répondre aux sujets
Vous ne pouvez pas éditer vos messages
Vous ne pouvez pas supprimer vos messages

Rechercher:
Aller à:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Forum style by ST Software for PTF.
Traduction par: phpBB-fr.com